質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.00%

コマンドからPHPのバージョンを確認

受付中

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 253

YutaNkai

score -71

PHP 7.3.10 (cli) (built: Sep 24 2019 11:59:22) ( ZTS MSVC15 (Visual C++ 2017) x64 )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.10, Copyright (c) 1998-2018 Zend Technologies

上記のコマンドの出力結果はデスクトップでPHPのバージョンを調べたものです。

そして、実際にPHPが入っているApacheサーバーのパスで
PHPのバージョンを確認しても全く同じ結果が出ます。

これはPCが上手いこと調整して、コマンドが実行されたパスから一番近い
PHPのバージョンを表示してくれているのですか?

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • m.ts10806

    2019/12/02 17:12

    なにも問題がないところにさも大問題があるかのような質問になってない投稿されても、ちょっと。

    キャンセル

  • yoorwm

    2019/12/02 17:15

    いや、(cli)とは出ないんじゃないかな?

    キャンセル

  • 退会済みユーザー

    2019/12/05 00:45

    複数のユーザーから「問題・課題が含まれていない質問」という意見がありました
    teratailでは、漠然とした興味から票を募るような質問や、意見の主張をすることを目的とした投稿は推奨していません。
    「編集」ボタンから編集を行い、質問の意図や解決したい課題を明確に記述していただくと回答が得られやすくなります。

回答 3

+2

バージョンの数字だけ見れば同じバージョンもありうるけど、
少なくとも「ZTS MSVC15 (Visual C++ 2017) x64」の箇所はビルド環境によって変わるので、
レンタルサーバーがWindows系64bit環境と異なれば表記は変わるはず。

CentOSなどでもWindowsでも、
環境変数PATHに則って実行するプログラムをOSが探しています。
WindowsにXAMPPをインストールした際に
システム環境変数のPATHに書き加えているかと思いますし、
CentOSでyumコマンドでインストールする際も、
起動時にPATHに書き加えるスクリプトが実行されているんじゃなかったかな。(うろ覚え)

もしも違うバージョンを用意したい場合は、
インストールする先のディレクトリの変更も重要ですが、
環境変数PATHでの順序も気をつけてください。

また、PATHでの順序とはまた別に、
Apache httpdに組み込まれているphpがどうなっているかは
コマンドラインで呼べるphpと食い違うことも設定できてしまうため、
正しいバージョン情報は<?php phpinfo();を駆使して取得してください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/12/04 12:37

    これが私がお聞きしたかった部分です。

    xamppをダウンロードした際、PHPファオルダを環境変数に通しました。

    このPHPとApacheサーバーのPHPは別物なのでしょうか。

    キャンセル

+1

たんに環境変数のPATHからさがして最初に見つかったものを実行してるだけです

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

+1

そもそもですが、、、
Apacheから起動するPHPは、そのコマンドのPHPとは別物(基本同じバージョンとなりますが)ですが、その調べ方で大丈夫ですか^_^

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/12/03 08:22

    ありがとうございます。
    Apacheに入っているPHPのバージョンはどう調べるのですか?

    キャンセル

  • 2019/12/03 16:33

    m6u さんの指摘どおりで、ドキュメントルート配下に適当な名前で(phpinfo.php など)ファイルを作成し、m6uさんの1行を記述します。
    そしてブラウザからそのファイルにアクセスしてバージョンなどを確認してください

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.00%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる